TARGATORLE(1)

NAME
targatorle - Convert Truevision TARGA images to RLE format.

SYNOPSIS
targatorle [ -h headerfile ] [ -n nchannels ] [ -o outfile.rle ] [ infile.tga ]

DESCRIPTION
Targatorle converts a file from Truevision's TARGA format into RLE format. If no input file is specified, the data is read from stdin. Targatorle recognizes (but cannot necessarily process) all of the image subtypes defined by the 1989 TARGA 2.0 specification:

    0    - Header Only, No Image Data
    1    - Uncompressed, Color-mapped Image
    2    - Uncompressed, True-color Image
    3    - Uncompressed, B/W (gray scale) Image
    9    - Run-length encoded, Color-mapped Image
    10    - Run-length encoded, True-color Image
    11    - Run-length encoded, B/W Image

Targatorle should correctly process images in formats 0, 2, 3, 10, and 11. No support is currently available for color mapped images.

OPTIONS

-h  Allow the program to write TARGA header information to headerfile

-n  where nchannels is 3 or 4. If input is a color image, copy only nchannels of the TARGA file; this allows the alpha channel to be stripped. By default, the alpha channel will be copied if present.

-o  Use outfile as output instead of stdout.

LIMITATIONS
The TARGA image descriptor byte is ignored; therefore, the image origin is assumed to be that of RLE(5) (bottom left). None of the color-mapped TARGA formats (types 1 and 9) are supported. Finally, no attempt has been made to support extensions to the TARGA File Format introduced by Truevision in 1989 (new support for time stamps, comments, user-defined data fields, etc.).

SEE ALSO
urt(1), RLE(5).

AUTHOR
Hann-Bin Chuang
Andrew C. Hadenfeldt, Univ. of Nebraska-Lincoln (modifications)